Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Class WebSocketParserD01

    java.lang.Object
      org.eclipse.jetty.websocket.WebSocketParserD01

All Implemented Interfaces:
  WebSocketParser

    public class WebSocketParserD01

extends java.lang.Object
implements WebSocketParser

Parser the WebSocket protocol.

Nested Class Summary
`static class` | `WebSocketParserD01.State`

Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocketParser
`WebSocketParser.FrameHandler`

Constructor Summary
`WebSocketParserD01(WebSocketBuffers buffers, EndPoint endp, WebSocketParser.FrameHandler handler)`

Method Summary
`void` | `fill(Buffer buffer)`
`Buffer` | `getBuffer()`
`boolean` | `isBufferEmpty()`
`int` | `parseNext()` Parse to next event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSocketParserD01

    public WebSocketParserD01(WebSocketBuffers buffers,
                              EndPoint endp,
                              WebSocketParser.FrameHandler handler)

Parameters:
  `buffers` - The buffers to use for parsing. Only the `Buffers.getBuffer()` is used. This should be a direct buffer if binary data is mostly used or an indirect buffer if utf-8 data is mostly used.
  `endp` -
  `handler` -

Method Detail

### isBufferEmpty

    public boolean isBufferEmpty()

  Specified by:
    `isBufferEmpty` in interface `WebSocketParser`

### getBuffer

    public Buffer getBuffer()

  Specified by:
    `getBuffer` in interface `WebSocketParser`

### parseNext

    public int parseNext()

  Parse to next event. Parse to the next `FrameHandler` event or until no more data is available. Fill data from the `EndPoint` only as necessary.

  Specified by:
    `parseNext` in interface `WebSocketParser`
  Returns:
    An indication of progress or otherwise. -1 indicates EOF, 0 indicates that no bytes were read and no messages parsed. A positive number indicates either the bytes filled or the messages parsed.

### fill

    public void fill(Buffer buffer)

  Specified by:
    `fill` in interface `WebSocketParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.